# All Classes and Interfaces

Class
Description
Activator
Closure
CommandNotFoundException
Thrown if an unknown command is entered into a shell or passed on the command line
CommandProcessor
A command shell can create and maintain a number of command sessions.
CommandProcessorImpl
CommandProxy
CommandSession
CommandSessionImpl
CommandSessionListener
Listener for command executions.
Converter
A converter is a service that can help create specific object types from a string, and vice versa.
Descriptor
EOFError
Evaluate
EventAdminListener
Expression
EvalEx - Java Expression Evaluator
Function
A Function is a a block of code that can be executed with a set of arguments, it returns the result object of executing the script.
Marker
Parameter
Parser
Pipe
Reflective
SyntaxError
ThreadInputStream
ThreadIO
Enable multiplexing of the standard IO streams for input, output, and error.
ThreadIOImpl
ThreadPrintStream
Token
Tokenizer
Bash-like tokenizer.
Tokenizer.Type